git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Python-Dev] PEP 594: update 1


So what is happening for this PEP since Python 3.8 beta1 has been
released? Is it too late for Python 3.8 or not?

It seems like most people are confused by the intent of the PEP. IMHO
it would be better to rewrite "Remove packages from the stdlib" as
"Move some stdlib modules to PyPI". But that would require to rewrite
some parts of the PEP to explain how modules are moved, who become the
new maintainers, how to support modules both in stdlib (old Python
versions) and in PyPI (new Python), etc.

Victor